summaryrefslogtreecommitdiffstats
path: root/deps/updates.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/updates.SlackBuild')
-rwxr-xr-xdeps/updates.SlackBuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
new file mode 100755
index 0000000..b38924d
--- /dev/null
+++ b/deps/updates.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Build (and install) all KDE dependencies
+# Modified from the KDE Slackware script by Eric Hameleers <alien@slackware.com>
+
+# Set initial variables:
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+
+# Set the config option variables if they are not already set:
+[ -r ./alldeps.options ] && . ./alldeps.options
+
+# This avoids compiling a version number into KDE's .la files:
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt ; export QTDIR
+
+ALLDEPS=" \
+ soprano \
+ akonadi \
+ shared-desktop-ontologies \
+ virtuoso-ose \
+ qt \
+ "
+
+# Allow for specification of individual packages to be built:
+if [ -z "$1" ]; then
+ MODQUEUE=$ALLDEPS
+else
+ MODQUEUE=$*
+fi
+
+for module in \
+ $MODQUEUE ;
+do
+ cd $module
+ ./$module.SlackBuild
+ if [ $? = 0 ]; then
+ # Yes, I will build with the fresh packages installed:
+ upgradepkg --install-new --reinstall ${TMP}/${module}-*.txz
+ # Keep MIME database current:
+ /usr/bin/update-mime-database /usr/share/mime 1> /dev/null 2> /dev/null &
+ rm -rf ${TMP}/package-${module} ${TMP}/${module}-$VERSION
+ else
+ echo "${module} failed to build."
+ exit 1
+ fi
+ cd - ;
+done
+